Subject: Re: [extropy-chat] Re: James Hughes

From: Giu1i0 Pri5c0 <[email-masked]>
Date: Thu, 17 Mar 2005 19:37:01 +0100

I believe what Mike calls "the middle ground of unprincipled
compromise" is the same thing that I might call "the domain of
rationality and critical thought". I had a few issues with my
neighbour over something related to the garden, and over the last few
months we have patiently worked out a middle ground of agreement. But
perhaps I should have gone ahead and shot him. Or he might have shot
me. Now we both would be either dead or in jail without a garden.
But we should not restart this eternal debate. Come on guys, there
have been libertarians and socialists in the transhumanist movement
yesterday, there are libertarians and socialists in the transhumanist
movement today, and there will be libertarians and socialists in the
transhumanist movement tomorrow. This is a fact, better learn how to
live with it.
G.

On Thu, 17 Mar 2005 17:59:12 +0000, Dirk Bruere <[email-masked]> wrote:
> Mike Lorrey wrote:
> 
> >>From his website:
> >"Dr. Hughes also founded and edited the internationally distributed
> >zine, EcoSocialist Review, a publication dedicated to encouraging
> >dialogue between social justice activists and ecological activists."
> >
> >Given his socialism and pedantry, I have long considered him some sort
> >of Fabian entryist into the movement. His whole strategy is to drag
> >ExI, by WTA competition, out of the libertarian territory into the
> >middle ground of unprincipled compromise.
> >
> >
> >
> I tend to agree, although there has to be orgs for Transhumanists who
> are not Libertarians.
> Where the Extropy meme *might* lose out in the eyes of the public is not
> having the word 'world' up front to make it seem all-encompassing and
> global.
> 
> Hence the Extropy Institute might consider changing its name slightly to
> correct this.
> 
> --
> Dirk
> 
> The Consensus:-
> The political party for the new millenium
> http://www.theconsensus.org
> 
> _______________________________________________
> extropy-chat mailing list
> [email-masked]
> http://lists.extropy.org/mailman/listinfo/extropy-chat
>
_______________________________________________
extropy-chat mailing list
[email-masked]
http://lists.extropy.org/mailman/listinfo/extropy-chat

---

From: Al Brooks <[email-masked]>
Date: Thu, 17 Mar 2005 15:40:21 -0800 (PST)

Dirk Bruere <[email-masked]> wrote:[email-masked] wrote:

>Hi Dirk and everyone,
>
>Just got back in town and saw this post. 
>
>First, ExI is not a Libertarian organization. Second, WTA is not trying to
>damage ExI by making it mainstream. Third ExI is a global meme, and we do
>not need to have the word World in front of ExI. This world has been a
>real albatross for WTA because it is not an umbrella organization. It is
> 
>
It just appears as one to reporters etc.

>quite the same as ExI in that it is world-wide and ExI holds the role of
>developing the ideas of transhumanism. This should be a known fact. WTA
>does not need to compete with WTA, so let us move beyond this meme.
>
> 
>
I would say that it *does* compete - certainly for influence, and 
probably for funding.
And the fact that it *appears* to be an umbrella org is certainly 
relevent when opinion formers wish to get more info on Transhumanism.
Type in 'transhumanism to google and see who comes up first. In fact, 
ExI does not appear in the top 20 listings from google, it's No. 21. If 
I knew nothing of our little world I would think the WTA is the main 
body and ExI a mere 'faction'.

>WTA might be doing the wrong thing by trying to make transhumanism a
>socialist ideology, but this does not compromise ExI. ExI is supportive of
> 
>
Really? I suspect that if you asked the WTA (Hughes) would not claim 
that the WTA promotes a 'socialist ideology' - at least, no more than 
ExI promotes a libertarian ideology.

>a transpolitical viewpoint, inclusive of the ideas and policies that help
>assist in the realization of our goals. We do not align ourselves with any
>political organization, party or belief. 
>
> 
>
Neither does the WTA

-- 
Dirk

The Consensus:-

		
---------------------------------
Do you Yahoo!?
 Yahoo! Small Business - Try our new resources site!

---

From: Mike Lorrey <[email-masked]>
Date: Thu, 17 Mar 2005 16:56:40 -0800 (PST)

The Fabians started their program in the 19th century and expected it
to take generations. I'm optimistic that I'll get the better end of the
deal because I'll live to see the results of my work negating
everything they did.

--- Al Brooks <[email-masked]> wrote:
> but, say, a name such as "Galactic Extropians" would be getting too
> far ahead of yourselves. We'll be 'old men' before there are
> humans/h+ living on the moon.
> 
> Mike Lorrey <[email-masked]> wrote:
> Extropy is universal. Putting 'world' or 'global' in the name is
> self-limiting and demonstrates a lack of vision.
> 
> 
> 
> 		
>  Make Yahoo! your home page   >
> http://lists.extropy.org/mailman/listinfo/extropy-chat

Mike Lorrey
Vice-Chair, 2nd District, Libertarian Party of NH
"Necessity is the plea for every infringement of human freedom.
It is the argument of tyrants; it is the creed of slaves."
                                      -William Pitt (1759-1806) 
Blog: http://intlib.blogspot.com

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 
_______________________________________________
extropy-chat mailing list
[email-masked]
http://lists.extropy.org/mailman/listinfo/extropy-chat